using System;
namespace ConsoleApp4
{
    class Program
    {
        static void Main(string[] args)
        {
            string unos = Console.ReadLine();
            string[] niz = unos.Split(' ');
            int N = int.Parse(niz[0]);
            int L = int.Parse(niz[1]);
            unos = Console.ReadLine();
            niz = unos.Split(' ');
            int i = 0;
            int b = -1;
            while (i < N && b == -1)
            {
                if (int.Parse(niz[i]) <= L)
                {
                    b = i + 1;
                }
                i++;
            }
            Console.WriteLine(b);
        }
    }
}